Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.api.registry
Enum ServiceType

    java.lang.Object
      java.lang.Enum<ServiceType>
          org.mule.api.registry.ServiceType

All Implemented Interfaces:
  Serializable, Comparable<ServiceType>

    public enum ServiceType

extends Enum<ServiceType>

TODO

Enum Constant Summary
`EXCEPTION`
`MODEL`
`TRANSPORT`

Method Summary
`String` | `getName()`
`String` | `getPath()`
`String` | `toString()`
`static ServiceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ServiceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSPORT

    public static final ServiceType TRANSPORT

### MODEL

    public static final ServiceType MODEL

### EXCEPTION

    public static final ServiceType EXCEPTION

Method Detail

### values

    public static ServiceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ServiceType c : ServiceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ServiceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ServiceType>`

### getPath

    public String getPath()

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.